View Issue Details

IDProjectCategoryView StatusLast Update
0000242Kali Linux[All Projects] General Bugpublic2013-09-05 20:56
ReporterHero Zero Assigned Torhertzog  
PrioritynormalSeveritycrashReproducibilityalways
Status resolvedResolutionfixed 
Product Version 
Target VersionFixed in Version1.0.4 
Summary0000242: Login Crash when selecting touchpad options
DescriptionWhen I select the "Disable touchpad while typing" option under touchpad settings, on the next login for that user the desktop will crash with the Oh No sad face.
Steps To ReproduceLogin to GUI.
Click Applications -> System Tools -> Preferences -> System Settings
Click Mouse and Touchpad
Click Touchpad tab
Under General, click Disable touchpad while typing, to check the box
Logout
Login
Additional InformationI'm still fairly new to Linux and very new to Kali. I'm not sure what other information you may need but /var/log/messages has the below when it crashes.

Apr 4 19:18:21 Netbook-Kali kernel: [ 333.046727] gnome-settings-[4441]: segfault at 40 ip b30f46e0 sp bfc9c82c error 4 in libmouse.so[b30f2000+9000]
Apr 4 19:18:26 Netbook-Kali kernel: [ 337.659993] gnome-settings-[4482]: segfault at 40 ip b30616e0 sp bf9b3a7c error 4 in libmouse.so[b305f000+9000]

Let me know if you need any other details.

Activities

rhertzog

2013-06-05 06:28

administrator   ~0000518

On the Debian side, this issues is known as http://bugs.debian.org/684998 and will likely be fixed in a point release (in gnome-settings-daemon 3.4.2+git20121218.7c1322-3). See http://bugs.debian.org/710894

rhertzog

2013-09-05 20:56

administrator   ~0000828

Kali auto-imported the fixed gnome-settings-daemon 3.4.2+git20121218.7c1322-3+deb7u1, so this bug should be gone by now. Hence closing it.

Issue History

Date Modified Username Field Change
2013-04-05 05:22 Hero Zero New Issue
2013-06-05 06:28 rhertzog Note Added: 0000518
2013-06-05 06:28 rhertzog Assigned To => rhertzog
2013-06-05 06:28 rhertzog Status new => confirmed
2013-09-05 20:56 rhertzog Note Added: 0000828
2013-09-05 20:56 rhertzog Status confirmed => resolved
2013-09-05 20:56 rhertzog Fixed in Version => 1.0.4
2013-09-05 20:56 rhertzog Resolution open => fixed